<template>
    <v-form v-model="valid">
        <v-text-field
                v-model="email"
                label="E-Mail"
                required
        ></v-text-field>

        <v-text-field
                v-model="password"
                label="Password"
                type="password"
                required
        ></v-text-field>

        <v-btn
                @click="login"
        >
            Login
        </v-btn>
    </v-form>
</template>

<script lang="ts">
    import {auth} from '../main';

    export default {
        name: 'login',
        data: () => ({
                valid: true,
                email: '',
                password: ''
            }
        ),

        mounted() {
            this.$emit('updateToolbarTitle', 'Login');
        },

        methods: {
            login() {
                auth.signInWithEmailAndPassword(this.email, this.password)
                    .then(() => {
                        this.$router.push({name: 'questionnaire'});
                    })
                    .catch((error) => console.error(error));
            }
        }
    }
</script>

<style scoped>

</style>